namespace Wizard;

public class EmptyDeckInfoTask : BaseTask
{
	public class EmptyDeckInfoTaskParam : BaseParam
	{
		public int deck_format;
	}

	public EmptyDeckInfoTask()
	{
		base.type = ApiType.Type.EmptyDeckInfo;
	}

	public void SetParameter(Format f)
	{
		EmptyDeckInfoTaskParam emptyDeckInfoTaskParam = new EmptyDeckInfoTaskParam();
		emptyDeckInfoTaskParam.deck_format = Data.FormatConvertApi(f);
		base.Params = emptyDeckInfoTaskParam;
	}

	protected override int Parse()
	{
		int num = base.Parse();
		if (num != 1)
		{
			return num;
		}
		Data.EmptyDeckInfo.EmptyDeckID = base.ResponseData["data"]["empty_deck_num"].ToInt();
		return num;
	}
}
